automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

FYI: @address@hidden(EXEEXT) regression


From: Alexandre Duret-Lutz
Subject: FYI: @address@hidden(EXEEXT) regression
Date: Fri, 21 Nov 2003 20:15:53 +0100
User-agent: Gnus/5.1003 (Gnus v5.10.3) Emacs/21.3 (gnu/linux)

I'm checking this in.

2003-11-21  Alexandre Duret-Lutz  <address@hidden>

        * automake.in (append_exeext): Do not append $(EXEEXT) to
        @address@hidden
        * tests/exeext4.test: New file.
        * tests/Makefile.am (TESTS): Add exeext4.test.

Index: automake.in
===================================================================
RCS file: /cvs/automake/automake/automake.in,v
retrieving revision 1.1516
diff -u -r1.1516 automake.in
--- automake.in 17 Nov 2003 23:18:19 -0000      1.1516
+++ automake.in 21 Nov 2003 19:14:18 -0000
@@ -6084,8 +6084,9 @@
     ($macro, $macro, 'am__EXEEXT', 0, INTERNAL,
      sub {
        my ($subvar, $val, $cond, $full_cond) = @_;
-       # Append $(EXEEXT) unless the user did it already.
-       $val .= '$(EXEEXT)' unless $val =~ /\$\(EXEEXT\)$/;
+       # Append $(EXEEXT) unless the user did it already, or it's a
+       # @address@hidden
+       $val .= '$(EXEEXT)' unless $val =~ 
/(?:\$\(EXEEXT\)$|address@hidden@]$)/;
        return $val;
      });
 }
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.531
diff -u -r1.531 Makefile.am
--- tests/Makefile.am   19 Nov 2003 20:09:46 -0000      1.531
+++ tests/Makefile.am   21 Nov 2003 19:14:19 -0000
@@ -194,6 +194,7 @@
 exeext.test \
 exeext2.test \
 exeext3.test \
+exeext4.test \
 exsource.test \
 ext.test \
 ext2.test \
Index: tests/exeext4.test
===================================================================
RCS file: tests/exeext4.test
diff -N tests/exeext4.test
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ tests/exeext4.test  21 Nov 2003 19:14:20 -0000
@@ -0,0 +1,52 @@
+#! /bin/sh
+# Copyright (C) 2003  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Make sure $(EXEEXT) is not appended to @address@hidden
+
+. ./defs || exit 1
+
+set -e
+
+cat >> configure.in << 'END'
+AC_SUBST([programs], ['prg1$(EXEEXT) prg2$(EXEEXT)'])
+AC_PROG_CC
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+EXEEXT = .bin
+bin_PROGRAMS = $(programs) @programs@ prg3
+EXTRA_PROGRAMS = prg1 prg2 prg3
+print-bin:
+       echo BEG: $(bin_PROGRAMS) :END
+print-extra:
+       echo BEG: $(EXTRA_PROGRAMS) :END
+END
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE
+./configure
+$MAKE print-bin > output
+cat output
+grep 'prg1.bin prg2.bin prg1.bin prg2.bin prg3.bin' output
+$MAKE print-extra > output
+cat output
+grep 'prg1.bin prg2.bin prg3.bin' output

-- 
Alexandre Duret-Lutz





reply via email to

[Prev in Thread] Current Thread [Next in Thread]